Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_old.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_old.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_old.F90	(revision 5116)
@@ -377,5 +377,5 @@
   DO l = 1, nlay - 2
     DO ig = 1, ngrid
-      ! if (zw2(ig,l).lt.1.e-10.and.ztv(ig,l).gt.ztv(ig,l+1)) then
+      ! if (zw2(ig,l).lt.1.e-10.and.ztv(ig,l).gt.ztv(ig,l+1)) THEN
       ! PRINT*,'COUCOU ',l,zw2(ig,l),ztv(ig,l),ztv(ig,l+1)
       IF (zw2(ig,l)<1.E-10 .AND. ztv(ig,l)>ztv(ig,l+1) .AND. &
@@ -388,5 +388,5 @@
         fmc(ig, l+1) = entr(ig, l)
         zw2(ig, l) = 0.
-        ! if (.not.ztv(ig,l+1).gt.150.) then
+        ! if (.not.ztv(ig,l+1).gt.150.) THEN
         ! PRINT*,'ig,l+1,ztv(ig,l+1)'
         ! PRINT*, ig,l+1,ztv(ig,l+1)
@@ -398,5 +398,5 @@
         ! Incrementation...
         fmc(ig, l+1) = fmc(ig, l) + entr(ig, l)
-        ! if (.not.fmc(ig,l+1).gt.1.e-15) then
+        ! if (.not.fmc(ig,l+1).gt.1.e-15) THEN
         ! PRINT*,'ig,l+1,fmc(ig,l+1)'
         ! PRINT*, ig,l+1,fmc(ig,l+1)
@@ -452,14 +452,14 @@
     DO ig = 1, ngrid
       IF (l<=lmaxa(ig)) THEN
-        ! if (idetr.eq.0) then
+        ! if (idetr.eq.0) THEN
         ! cette option est finalement en dur.
         larg_detr(ig, l) = sqrt(l_mix*zlev(ig,l))
-        ! else if (idetr.eq.1) then
+        ! else if (idetr.eq.1) THEN
         ! larg_detr(ig,l)=larg_cons(ig,l)
         ! s            *sqrt(l_mix*zlev(ig,l))/larg_cons(ig,lmix(ig))
-        ! else if (idetr.eq.2) then
+        ! else if (idetr.eq.2) THEN
         ! larg_detr(ig,l)=sqrt(l_mix*zlev(ig,l))
         ! s            *sqrt(wa_moy(ig,l))
-        ! else if (idetr.eq.4) then
+        ! else if (idetr.eq.4) THEN
         ! larg_detr(ig,l)=sqrt(l_mix*zlev(ig,l))
         ! s            *wa_moy(ig,l)
@@ -667,9 +667,9 @@
   ! do l=1,nlay
   ! do ig=1,ngrid
-  ! if(abs(pdtadj(ig,l))*86400..gt.500.) then
+  ! IF(abs(pdtadj(ig,l))*86400..gt.500.) THEN
   ! PRINT*,'WARN!!! ig=',ig,'  l=',l
   ! s         ,'   pdtadj=',pdtadj(ig,l)
   ! endif
-  ! if(abs(pdoadj(ig,l))*86400..gt.1.) then
+  ! IF(abs(pdoadj(ig,l))*86400..gt.1.) THEN
   ! PRINT*,'WARN!!! ig=',ig,'  l=',l
   ! s         ,'   pdoadj=',pdoadj(ig,l)
@@ -708,5 +708,5 @@
 
 
-  ! if(wa_moy(1,4).gt.1.e-10) stop
+  ! IF(wa_moy(1,4).gt.1.e-10) stop
 
   ! PRINT*,'19 OK convect8'
@@ -1013,5 +1013,5 @@
         ! si sature: ql est surestime, d'ou la sous-relax
         dt = 0.5*rlvcp*qlbef
-        ! write(18,*) 'DT0=',DT
+        ! WRITE(18,*) 'DT0=',DT
         ! on pourra enchainer 2 ou 3 calculs sans Do while
         DO WHILE (abs(dt)>ddt0)
@@ -1241,5 +1241,5 @@
   ! pas de thermique si couche 1 stable
   DO ig = 1, ngrid
-    ! if (lmin(ig).gt.1) then
+    ! if (lmin(ig).gt.1) THEN
     ! CRnouveau test
     IF (alim_star(ig,1)<1.E-10) THEN
@@ -1427,5 +1427,5 @@
           entr_star(ig, l) - detr_star(ig, l)
         ! test
-        ! if (f_star(ig,l+1).lt.0.) then
+        ! if (f_star(ig,l+1).lt.0.) THEN
         ! f_star(ig,l+1)=0.
         ! entr_star(ig,l)=0.
@@ -1434,10 +1434,10 @@
         ! test sur le signe de f_star
         IF (f_star(ig,l+1)>1.E-10) THEN
-          ! then
+          ! THEN
           ! test
-          ! if (((f_star(ig,l+1)+detr_star(ig,l)).gt.1.e-10)) then
+          ! if (((f_star(ig,l+1)+detr_star(ig,l)).gt.1.e-10)) THEN
           ! AM on melange Tl et qt du thermique
           ! on rajoute un excès de T dans la couche alim
-          ! if (l.lt.lentr(ig)) then
+          ! if (l.lt.lentr(ig)) THEN
           ! ztla(ig,l)=(f_star(ig,l)*ztla(ig,l-1)+
           ! s
@@ -1450,5 +1450,5 @@
           ! endif
           ! on rajoute un excès de q dans la couche alim
-          ! if (l.lt.lentr(ig)) then
+          ! if (l.lt.lentr(ig)) THEN
           ! zqta(ig,l)=(f_star(ig,l)*zqta(ig,l-1)+
           ! s           (alim_star(ig,l)+entr_star(ig,l))*(po(ig,l)+0.001))
@@ -1473,5 +1473,5 @@
             qlbef = max(0., zqta(ig,l)-qsatbef(ig))
             dt = 0.5*rlvcp*qlbef
-            ! write(17,*)'DT0=',DT
+            ! WRITE(17,*)'DT0=',DT
             DO WHILE (abs(dt)>ddt0)
               ! PRINT*,'aie'
@@ -1494,5 +1494,5 @@
               END IF
               dt = num/denom
-              ! write(17,*)'DT=',DT
+              ! WRITE(17,*)'DT=',DT
             END DO
             zqla(ig, l) = max(0., zqta(ig,l)-qsatbef(ig))
@@ -1509,5 +1509,5 @@
           ! on rajoute le calcul de zha pour diagnostiques (temp potentielle)
           zha(ig, l) = ztva(ig, l)
-          ! if (l.lt.lentr(ig)) then
+          ! if (l.lt.lentr(ig)) THEN
           ! ztva(ig,l) = ztva(ig,l)*(1.+RETV*(zqta(ig,l)
           ! s              -zqla(ig,l))-zqla(ig,l)) + 0.1
@@ -1523,5 +1523,5 @@
           ! s              -zqla(ig,l)/(1.-retv*zqla(ig,l)))
           ! s              -zqla(ig,l)/(1.-retv*zqla(ig,l)))
-          ! write(13,*)zqla(ig,l),zqla(ig,l)/(1.-retv*zqla(ig,l))
+          ! WRITE(13,*)zqla(ig,l),zqla(ig,l)/(1.-retv*zqla(ig,l))
           ! on ecrit zqsat
           zqsatth(ig, l) = qsatbef(ig)
@@ -1529,9 +1529,9 @@
           ! DO ig=1,ngrid
           ! if (zw2(ig,l).ge.1.e-10.and.
-          ! s               f_star(ig,l)+entr_star(ig,l).gt.1.e-10) then
+          ! s               f_star(ig,l)+entr_star(ig,l).gt.1.e-10) THEN
           ! mise a jour de la vitesse ascendante (l'air entraine de la couche
           ! consideree commence avec une vitesse nulle).
 
-          ! if (f_star(ig,l+1).gt.1.e-10) then
+          ! if (f_star(ig,l+1).gt.1.e-10) THEN
           zw2(ig, l+1) = zw2(ig, l)* & ! s
                                        ! ((f_star(ig,l)-detr_star(ig,l))**2)
@@ -1550,5 +1550,5 @@
         zw2(ig, l+1) = 0.
         ! PRINT*,'linter=',linter(ig)
-        ! else if ((zw2(ig,l+1).lt.1.e-10).and.(zw2(ig,l+1).ge.0.)) then
+        ! else if ((zw2(ig,l+1).lt.1.e-10).and.(zw2(ig,l+1).ge.0.)) THEN
         ! linter(ig)=l+1
         ! PRINT*,'linter=l',zw2(ig,l),zw2(ig,l+1)
@@ -1683,5 +1683,5 @@
   ! do ig=1,ngrid
   ! do l=1,lentr(ig)
-  ! if ((alim(ig,l)*ptimestep).gt.(0.9*masse(ig,l))) then
+  ! if ((alim(ig,l)*ptimestep).gt.(0.9*masse(ig,l))) THEN
   ! alim(ig,l+1)=alim(ig,l+1)+alim(ig,l)
   ! s                       -0.9*masse(ig,l)/ptimestep
@@ -1709,5 +1709,5 @@
   ! do l=1,klev
   ! if (((detr(ig,l)+entr(ig,l)+alim(ig,l))*ptimestep).gt.
-  ! s          (masse(ig,l))) then
+  ! s          (masse(ig,l))) THEN
   ! PRINT*,'d2+e2+a2>m2','ig=',ig,'l=',l,'lmax(ig)=',lmax(ig),'d+e+a='
   ! s,(detr(ig,l)+entr(ig,l)+alim(ig,l))*ptimestep,'m=',masse(ig,l)
@@ -1732,5 +1732,5 @@
         ! PRINT*,'fmc1<0',l+1,lmax(ig),fmc(ig,l+1)
       END IF
-      ! if ((fmc(ig,l+1).gt.fmc(ig,l)).and.(l.gt.lentr(ig))) then
+      ! if ((fmc(ig,l+1).gt.fmc(ig,l)).and.(l.gt.lentr(ig))) THEN
       ! f_old=fmc(ig,l+1)
       ! fmc(ig,l+1)=fmc(ig,l)
@@ -1738,5 +1738,5 @@
       ! endif
 
-      ! if ((fmc(ig,l+1).gt.fmc(ig,l)).and.(l.gt.lentr(ig))) then
+      ! if ((fmc(ig,l+1).gt.fmc(ig,l)).and.(l.gt.lentr(ig))) THEN
       ! f_old=fmc(ig,l+1)
       ! fmc(ig,l+1)=fmc(ig,l)
@@ -1745,6 +1745,5 @@
       ! rajout du test sur alpha croissant
       ! if test
-      ! if (1.eq.0) then
-
+      ! if (1.eq.0) THEN
       IF (l==klev) THEN
         PRINT *, 'THERMCELL PB ig=', ig, '   l=', l
@@ -1783,5 +1782,5 @@
 
       ! test pour ne pas avoir f=0 et d=e/=0
-      ! if (fmc(ig,l+1).lt.1.e-10) then
+      ! if (fmc(ig,l+1).lt.1.e-10) THEN
       ! detr(ig,l+1)=0.
       ! entr(ig,l+1)=0.
@@ -1803,5 +1802,5 @@
         END IF
       END IF
-      ! write(1,*)'ig,l,fm(ig,l)',ig,l,fm(ig,l)
+      ! WRITE(1,*)'ig,l,fm(ig,l)',ig,l,fm(ig,l)
       ! endif test
       ! endif
@@ -1809,5 +1808,5 @@
   END DO
   DO ig = 1, ngrid
-    ! if (fmc(ig,lmax(ig)+1).ne.0.) then
+    ! if (fmc(ig,lmax(ig)+1).ne.0.) THEN
     fmc(ig, lmax(ig)+1) = 0.
     entr(ig, lmax(ig)) = 0.
@@ -1933,5 +1932,5 @@
     DO ig = 1, ngrid
       IF (l<=lmax(ig) .AND. (test(ig)==1)) THEN
-        ! if (idetr.eq.0) then
+        ! if (idetr.eq.0) THEN
         ! cette option est finalement en dur.
         IF ((l_mix*zlev(ig,l))<0.) THEN
@@ -1945,11 +1944,11 @@
           larg_detr(ig, l) = sqrt(l_mix*zlev(ig,l))
         END IF
-        ! else if (idetr.eq.1) then
+        ! else if (idetr.eq.1) THEN
         ! larg_detr(ig,l)=larg_cons(ig,l)
         ! s            *sqrt(l_mix*zlev(ig,l))/larg_cons(ig,lmix(ig))
-        ! else if (idetr.eq.2) then
+        ! else if (idetr.eq.2) THEN
         ! larg_detr(ig,l)=sqrt(l_mix*zlev(ig,l))
         ! s            *sqrt(wa_moy(ig,l))
-        ! else if (idetr.eq.4) then
+        ! else if (idetr.eq.4) THEN
         ! larg_detr(ig,l)=sqrt(l_mix*zlev(ig,l))
         ! s            *wa_moy(ig,l)
@@ -2045,7 +2044,7 @@
             THEN
           fm(ig, l) = fm(ig, l-1)
-          ! write(1,*)'ajustement fm, l',l
+          ! WRITE(1,*)'ajustement fm, l',l
         END IF
-        ! write(1,*)'ig,l,fm(ig,l)',ig,l,fm(ig,l)
+        ! WRITE(1,*)'ig,l,fm(ig,l)',ig,l,fm(ig,l)
         ! RC
       END IF
@@ -2140,5 +2139,5 @@
           fm(ig, l+1) = fm(ig, l) + alim(ig, l)
           detr(ig, l) = 0.
-          ! write(11,*)'l,ig,entr',l,ig,entr(ig,l)
+          ! WRITE(11,*)'l,ig,entr',l,ig,entr(ig,l)
           ! PRINT*,'WARNING !!! detrainement negatif ',ig,l
         END IF
@@ -2213,9 +2212,9 @@
   ! do l=1,nlay
   ! do ig=1,ngrid
-  ! if(abs(pdtadj(ig,l))*86400..gt.500.) then
+  ! IF(abs(pdtadj(ig,l))*86400..gt.500.) THEN
   ! PRINT*,'WARN!!! ig=',ig,'  l=',l
   ! s         ,'   pdtadj=',pdtadj(ig,l)
   ! endif
-  ! if(abs(pdoadj(ig,l))*86400..gt.1.) then
+  ! IF(abs(pdoadj(ig,l))*86400..gt.1.) THEN
   ! PRINT*,'WARN!!! ig=',ig,'  l=',l
   ! s         ,'   pdoadj=',pdoadj(ig,l)
@@ -2259,5 +2258,5 @@
           zcon(ig) = zlev(ig, k)
         END IF
-        ! if (zcon(ig).gt.1.e-10) then
+        ! if (zcon(ig).gt.1.e-10) THEN
         ! nuage=.TRUE.
         ! else
@@ -2278,5 +2277,5 @@
         q2(ig, l) = zf2*(zqta(ig,l)*1000.-po(ig,l)*1000.)**2
         ! test: on calcul q2/po=ratqsc
-        ! if (nuage) then
+        ! if (nuage) THEN
         ratqscth(ig, l) = sqrt(q2(ig,l))/(po(ig,l)*1000.)
         ! else
@@ -2306,5 +2305,5 @@
       DO ig = 1, ngrid
         ratqsdiff(ig, l) = sqrt(sumdiff)/(po(ig,l)*1000.)
-        ! write(11,*)'ratqsdiff=',ratqsdiff(ig,l)
+        ! WRITE(11,*)'ratqsdiff=',ratqsdiff(ig,l)
       END DO
     END DO
@@ -2980,14 +2979,14 @@
     DO ig = 1, ngrid
       IF (l<=lmaxa(ig)) THEN
-        ! if (idetr.eq.0) then
+        ! if (idetr.eq.0) THEN
         ! cette option est finalement en dur.
         larg_detr(ig, l) = sqrt(l_mix*zlev(ig,l))
-        ! else if (idetr.eq.1) then
+        ! else if (idetr.eq.1) THEN
         ! larg_detr(ig,l)=larg_cons(ig,l)
         ! s            *sqrt(l_mix*zlev(ig,l))/larg_cons(ig,lmix(ig))
-        ! else if (idetr.eq.2) then
+        ! else if (idetr.eq.2) THEN
         ! larg_detr(ig,l)=sqrt(l_mix*zlev(ig,l))
         ! s            *sqrt(wa_moy(ig,l))
-        ! else if (idetr.eq.4) then
+        ! else if (idetr.eq.4) THEN
         ! larg_detr(ig,l)=sqrt(l_mix*zlev(ig,l))
         ! s            *wa_moy(ig,l)
@@ -3094,7 +3093,7 @@
       IF (entr(ig,l-1)<1E-10 .AND. fm(ig,l)>fm(ig,l-1) .AND. l>lmix(ig)) THEN
         fm(ig, l) = fm(ig, l-1)
-        ! write(1,*)'ajustement fm, l',l
-      END IF
-      ! write(1,*)'ig,l,fm(ig,l)',ig,l,fm(ig,l)
+        ! WRITE(1,*)'ajustement fm, l',l
+      END IF
+      ! WRITE(1,*)'ig,l,fm(ig,l)',ig,l,fm(ig,l)
       ! RC
     END DO
@@ -3228,9 +3227,9 @@
   ! do l=1,nlay
   ! do ig=1,ngrid
-  ! if(abs(pdtadj(ig,l))*86400..gt.500.) then
+  ! IF(abs(pdtadj(ig,l))*86400..gt.500.) THEN
   ! PRINT*,'WARN!!! ig=',ig,'  l=',l
   ! s         ,'   pdtadj=',pdtadj(ig,l)
   ! endif
-  ! if(abs(pdoadj(ig,l))*86400..gt.1.) then
+  ! IF(abs(pdoadj(ig,l))*86400..gt.1.) THEN
   ! PRINT*,'WARN!!! ig=',ig,'  l=',l
   ! s         ,'   pdoadj=',pdoadj(ig,l)
@@ -3709,5 +3708,5 @@
         entr_star_tot(ig)
       ! test
-      ! if (first) then
+      ! if (first) THEN
       ! f(ig)=f(ig)+(f0(ig)-f(ig))*exp(-ptimestep/zmax(ig)
       ! s             *wmax(ig))
@@ -3758,5 +3757,5 @@
     DO ig = 1, ngrid
       IF (l<=lmaxa(ig)) THEN
-        ! if (idetr.eq.0) then
+        ! if (idetr.eq.0) THEN
         ! cette option est finalement en dur.
         IF ((l_mix*zlev(ig,l))<0.) THEN
@@ -3764,11 +3763,11 @@
         END IF
         larg_detr(ig, l) = sqrt(l_mix*zlev(ig,l))
-        ! else if (idetr.eq.1) then
+        ! else if (idetr.eq.1) THEN
         ! larg_detr(ig,l)=larg_cons(ig,l)
         ! s            *sqrt(l_mix*zlev(ig,l))/larg_cons(ig,lmix(ig))
-        ! else if (idetr.eq.2) then
+        ! else if (idetr.eq.2) THEN
         ! larg_detr(ig,l)=sqrt(l_mix*zlev(ig,l))
         ! s            *sqrt(wa_moy(ig,l))
-        ! else if (idetr.eq.4) then
+        ! else if (idetr.eq.4) THEN
         ! larg_detr(ig,l)=sqrt(l_mix*zlev(ig,l))
         ! s            *wa_moy(ig,l)
@@ -3897,7 +3896,7 @@
       IF (entr(ig,l-1)<1E-10 .AND. fm(ig,l)>fm(ig,l-1) .AND. l>lmix(ig)) THEN
         fm(ig, l) = fm(ig, l-1)
-        ! write(1,*)'ajustement fm, l',l
-      END IF
-      ! write(1,*)'ig,l,fm(ig,l)',ig,l,fm(ig,l)
+        ! WRITE(1,*)'ajustement fm, l',l
+      END IF
+      ! WRITE(1,*)'ig,l,fm(ig,l)',ig,l,fm(ig,l)
       ! RC
     END DO
@@ -4038,9 +4037,9 @@
   ! do l=1,nlay
   ! do ig=1,ngrid
-  ! if(abs(pdtadj(ig,l))*86400..gt.500.) then
+  ! IF(abs(pdtadj(ig,l))*86400..gt.500.) THEN
   ! PRINT*,'WARN!!! ig=',ig,'  l=',l
   ! s         ,'   pdtadj=',pdtadj(ig,l)
   ! endif
-  ! if(abs(pdoadj(ig,l))*86400..gt.1.) then
+  ! IF(abs(pdoadj(ig,l))*86400..gt.1.) THEN
   ! PRINT*,'WARN!!! ig=',ig,'  l=',l
   ! s         ,'   pdoadj=',pdoadj(ig,l)
@@ -4068,5 +4067,5 @@
     ! do ig=1,ngrid
     ! detr(ig,l)=fm(ig,l)+entr(ig,l)-fm(ig,l+1)
-    ! if (detr(ig,l).lt.0.) then
+    ! if (detr(ig,l).lt.0.) THEN
     ! entr(ig,l)=entr(ig,l)-detr(ig,l)
     ! detr(ig,l)=0.
@@ -4120,5 +4119,5 @@
   END IF
 
-  ! if(wa_moy(1,4).gt.1.e-10) stop
+  ! IF(wa_moy(1,4).gt.1.e-10) stop
 
   ! PRINT*,'19 OK convect8'
@@ -4211,5 +4210,5 @@
       dq(ig, k) = (detr(ig,k)*qa(ig,k)-entr(ig,k)*q(ig,k)-wqd(ig,k)+wqd(ig,k+ &
         1))/masse(ig, k)
-      ! if (dq(ig,k).lt.0.) then
+      ! if (dq(ig,k).lt.0.) THEN
       ! PRINT*,'dq<0!!!'
       ! endif
@@ -4980,5 +4979,5 @@
         entr_star_tot(ig)
       ! test
-      ! if (first) then
+      ! if (first) THEN
       ! f(ig)=f(ig)+(f0(ig)-f(ig))*exp(-ptimestep/zmax(ig)
       ! s             *wmax(ig))
@@ -5040,5 +5039,5 @@
     DO ig = 1, ngrid
       IF (l<=lmaxa(ig)) THEN
-        ! if (idetr.eq.0) then
+        ! if (idetr.eq.0) THEN
         ! cette option est finalement en dur.
         IF ((l_mix*zlev(ig,l))<0.) THEN
@@ -5053,11 +5052,11 @@
         END IF
         ! RC
-        ! else if (idetr.eq.1) then
+        ! else if (idetr.eq.1) THEN
         ! larg_detr(ig,l)=larg_cons(ig,l)
         ! s            *sqrt(l_mix*zlev(ig,l))/larg_cons(ig,lmix(ig))
-        ! else if (idetr.eq.2) then
+        ! else if (idetr.eq.2) THEN
         ! larg_detr(ig,l)=sqrt(l_mix*zlev(ig,l))
         ! s            *sqrt(wa_moy(ig,l))
-        ! else if (idetr.eq.4) then
+        ! else if (idetr.eq.4) THEN
         ! larg_detr(ig,l)=sqrt(l_mix*zlev(ig,l))
         ! s            *wa_moy(ig,l)
@@ -5186,7 +5185,7 @@
       IF (entr(ig,l-1)<1E-10 .AND. fm(ig,l)>fm(ig,l-1) .AND. l>lmix(ig)) THEN
         fm(ig, l) = fm(ig, l-1)
-        ! write(1,*)'ajustement fm, l',l
-      END IF
-      ! write(1,*)'ig,l,fm(ig,l)',ig,l,fm(ig,l)
+        ! WRITE(1,*)'ajustement fm, l',l
+      END IF
+      ! WRITE(1,*)'ig,l,fm(ig,l)',ig,l,fm(ig,l)
       ! RC
     END DO
@@ -5327,9 +5326,9 @@
   ! do l=1,nlay
   ! do ig=1,ngrid
-  ! if(abs(pdtadj(ig,l))*86400..gt.500.) then
+  ! IF(abs(pdtadj(ig,l))*86400..gt.500.) THEN
   ! PRINT*,'WARN!!! ig=',ig,'  l=',l
   ! s         ,'   pdtadj=',pdtadj(ig,l)
   ! endif
-  ! if(abs(pdoadj(ig,l))*86400..gt.1.) then
+  ! IF(abs(pdoadj(ig,l))*86400..gt.1.) THEN
   ! PRINT*,'WARN!!! ig=',ig,'  l=',l
   ! s         ,'   pdoadj=',pdoadj(ig,l)
@@ -5701,13 +5700,13 @@
   END DO
   ! nouveau test
-  ! if (therm) then
+  ! if (therm) THEN
   DO l = 1, klev - 1
     DO ig = 1, ngrid
       IF (ztv(ig,l)>ztv(ig,l+1) .AND. l>=lmin(ig) .AND. l<=lalim(ig) .AND. &
           zalim(ig)>1.E-10) THEN
-        ! if (l.le.lentr(ig)) then
+        ! if (l.le.lentr(ig)) THEN
         ! entr_star(ig,l)=zlev(ig,l+1)*(1.-(zlev(ig,l+1)
         ! s                         /zalim(ig)))**(3./2.)
-        ! write(10,*)zlev(ig,l),entr_star(ig,l)
+        ! WRITE(10,*)zlev(ig,l),entr_star(ig,l)
       END IF
     END DO
@@ -5868,5 +5867,5 @@
   END DO
   DO ig = 1, ngrid
-    ! write(8,*)zmax(ig),lmax(ig),lentr(ig),lmin(ig)
+    ! WRITE(8,*)zmax(ig),lmax(ig),lentr(ig),lmin(ig)
   END DO
   ! on stope après les calculs de zmax et wmax
@@ -5892,5 +5891,5 @@
       ! s            *entr_star_tot(ig)
       ! test
-      ! if (first) then
+      ! if (first) THEN
       f(ig) = f(ig) + (f0(ig)-f(ig))*exp(-ptimestep/zmax(ig)*wmax(ig))
       ! endif
@@ -5913,5 +5912,5 @@
   ! do ig=1,ngrid
   ! do l=1,lentr(ig)
-  ! if ((entr(ig,l)*ptimestep).gt.(0.9*masse(ig,l))) then
+  ! if ((entr(ig,l)*ptimestep).gt.(0.9*masse(ig,l))) THEN
   ! entr(ig,l+1)=entr(ig,l+1)+entr(ig,l)
   ! s                       -0.9*masse(ig,l)/ptimestep
@@ -5954,5 +5953,5 @@
     DO ig = 1, ngrid
       IF (l<=lmaxa(ig)) THEN
-        ! if (idetr.eq.0) then
+        ! if (idetr.eq.0) THEN
         ! cette option est finalement en dur.
         IF ((l_mix*zlev(ig,l))<0.) THEN
@@ -5967,11 +5966,11 @@
         END IF
         ! RC
-        ! else if (idetr.eq.1) then
+        ! else if (idetr.eq.1) THEN
         ! larg_detr(ig,l)=larg_cons(ig,l)
         ! s            *sqrt(l_mix*zlev(ig,l))/larg_cons(ig,lmix(ig))
-        ! else if (idetr.eq.2) then
+        ! else if (idetr.eq.2) THEN
         ! larg_detr(ig,l)=sqrt(l_mix*zlev(ig,l))
         ! s            *sqrt(wa_moy(ig,l))
-        ! else if (idetr.eq.4) then
+        ! else if (idetr.eq.4) THEN
         ! larg_detr(ig,l)=sqrt(l_mix*zlev(ig,l))
         ! s            *wa_moy(ig,l)
@@ -6100,7 +6099,7 @@
       IF (entr(ig,l-1)<1E-10 .AND. fm(ig,l)>fm(ig,l-1) .AND. l>lmix(ig)) THEN
         fm(ig, l) = fm(ig, l-1)
-        ! write(1,*)'ajustement fm, l',l
-      END IF
-      ! write(1,*)'ig,l,fm(ig,l)',ig,l,fm(ig,l)
+        ! WRITE(1,*)'ajustement fm, l',l
+      END IF
+      ! WRITE(1,*)'ig,l,fm(ig,l)',ig,l,fm(ig,l)
       ! RC
     END DO
@@ -6243,9 +6242,9 @@
   ! do l=1,nlay
   ! do ig=1,ngrid
-  ! if(abs(pdtadj(ig,l))*86400..gt.500.) then
+  ! IF(abs(pdtadj(ig,l))*86400..gt.500.) THEN
   ! PRINT*,'WARN!!! ig=',ig,'  l=',l
   ! s         ,'   pdtadj=',pdtadj(ig,l)
   ! endif
-  ! if(abs(pdoadj(ig,l))*86400..gt.1.) then
+  ! IF(abs(pdoadj(ig,l))*86400..gt.1.) THEN
   ! PRINT*,'WARN!!! ig=',ig,'  l=',l
   ! s         ,'   pdoadj=',pdoadj(ig,l)
@@ -6273,5 +6272,5 @@
     ! do ig=1,ngrid
     ! detr(ig,l)=fm(ig,l)+entr(ig,l)-fm(ig,l+1)
-    ! if (detr(ig,l).lt.0.) then
+    ! if (detr(ig,l).lt.0.) THEN
     ! entr(ig,l)=entr(ig,l)-detr(ig,l)
     ! detr(ig,l)=0.
@@ -6327,5 +6326,5 @@
   END IF
 
-  ! if(wa_moy(1,4).gt.1.e-10) stop
+  ! IF(wa_moy(1,4).gt.1.e-10) stop
 
   ! PRINT*,'19 OK convect8'
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_plume.f90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_plume.f90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_plume.f90	(revision 5116)
@@ -108,5 +108,5 @@
 
     ! Initialisations des variables r?elles
-    if (1==1) then
+    if (1==1) THEN
       ztva(:, :) = ztv(:, :)
       ztva_est(:, :) = ztva(:, :)
@@ -172,5 +172,5 @@
       ! Le panache va prendre au debut les caracteristiques de l'air contenu
       ! dans cette couche.
-      if (active(ig)) then
+      if (active(ig)) THEN
         ztla(ig, 1) = zthl(ig, 1)
         zqta(ig, 1) = po(ig, 1)
@@ -216,5 +216,5 @@
       do ig = 1, ngrid
         !       PRINT*,'active',active(ig),ig,l
-        if(active(ig)) then
+        IF(active(ig)) THEN
           zqla_est(ig, l) = max(0., zqta(ig, l - 1) - zqsat(ig))
           ztva_est(ig, l) = ztla(ig, l - 1) * zpspsk(ig, l) + RLvCp * zqla_est(ig, l)
@@ -284,6 +284,5 @@
 
       do ig = 1, ngrid
-        if (active(ig)) then
-
+        if (active(ig)) THEN
           !          zw2m=max(0.5*(w_est(ig,l)+w_est(ig,l+1)),0.1)
           zw2m = w_est(ig, l + 1)
@@ -302,5 +301,5 @@
                                   + detr_q_coef * (zdqt(ig, l) / zw2m)**detr_q_power))
 
-          if (iflag_thermals_ed == 20) then
+          if (iflag_thermals_ed == 20) THEN
             entr_star(ig, l) = f_star(ig, l) * zdz * (&
                     mix0 * 0.1 / (zalpha + 0.001)               &
@@ -316,5 +315,5 @@
           ! En dessous de lalim, on prend le max de alim_star et entr_star pour
           ! alim_star et 0 sinon
-          if (l<lalim(ig)) then
+          if (l<lalim(ig)) THEN
             alim_star(ig, l) = max(alim_star(ig, l), entr_star(ig, l))
             entr_star(ig, l) = 0.
@@ -333,5 +332,5 @@
       activetmp(:) = active(:) .and. f_star(:, l + 1)>1.e-10
       do ig = 1, ngrid
-        if (activetmp(ig)) then
+        if (activetmp(ig)) THEN
           Zsat = .FALSE.
           ztla(ig, l) = (f_star(ig, l) * ztla(ig, l - 1) + &
@@ -348,5 +347,5 @@
       CALL thermcell_qsat(ngrid, activetmp, pplev(:, l), ztemp, zqta(:, l), zqsatth(:, l))
       do ig = 1, ngrid
-        if (activetmp(ig)) then
+        if (activetmp(ig)) THEN
           ! on ecrit de maniere conservative (sat ou non)
           !          T = Tl +Lv/Cp ql
@@ -378,5 +377,5 @@
       nbpb = 0
       do ig = 1, ngrid
-        if (zw2(ig, l + 1)>0. .and. zw2(ig, l + 1)<1.e-10) then
+        if (zw2(ig, l + 1)>0. .and. zw2(ig, l + 1)<1.e-10) THEN
           !               stop 'On tombe sur le cas particulier de thermcell_dry'
           !               PRINT*,'On tombe sur le cas particulier de thermcell_plume'
@@ -386,10 +385,10 @@
         endif
 
-        if (zw2(ig, l + 1)<0.) then
+        if (zw2(ig, l + 1)<0.) THEN
           linter(ig) = (l * (zw2(ig, l + 1) - zw2(ig, l))  &
                   - zw2(ig, l)) / (zw2(ig, l + 1) - zw2(ig, l))
           zw2(ig, l + 1) = 0.
           !+CR:04/05/12:correction calcul linter pour calcul de zmax continu
-        elseif (f_star(ig, l + 1)<0.) then
+        elseif (f_star(ig, l + 1)<0.) THEN
           linter(ig) = (l * (f_star(ig, l + 1) - f_star(ig, l))  &
                   - f_star(ig, l)) / (f_star(ig, l + 1) - f_star(ig, l))
@@ -400,8 +399,8 @@
         wa_moy(ig, l + 1) = sqrt(zw2(ig, l + 1))
 
-        if (wa_moy(ig, l + 1)>wmaxa(ig)) then
+        if (wa_moy(ig, l + 1)>wmaxa(ig)) THEN
           !   lmix est le niveau de la couche ou w (wa_moy) est maximum
           !on rajoute le calcul de lmix_bis
-          if (zqla(ig, l)<1.e-10) then
+          if (zqla(ig, l)<1.e-10) THEN
             lmix_bis(ig) = l + 1
           endif
@@ -411,5 +410,5 @@
       enddo
 
-      if (nbpb>0) then
+      if (nbpb>0) THEN
         PRINT*, 'WARNING on tombe ', nbpb, ' x sur un pb pour l=', l, ' dans thermcell_plume'
       endif
